<?php

namespace App\Shared\Interface;

interface ModuleInterface
{
    public static function getModuleSlug(): string;

    public static function getModuleName(): string;

    public static function getModuleDescription(): string;

    public static function getModuleVersion(): string;

    public static function isCore(): bool;

    public static function getDependencies(): array;

    public static function getAdminMenuItems(): array;

    public static function getRequiredPlan(): string;
}
